> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Extract PII jobs

> Retrieve a list of Extract PII jobs for a customer with optional filtering by status and pagination support.



## OpenAPI

````yaml /specs/fc-core-bundled_generated.yaml get /v2/report/extractPII
openapi: 3.0.3
info:
  title: Core V2 API
  version: 2.0.0
  description: >-
    This is the APIs for V2 Core. It allows you to do common operations, such as
    read audit entries or get workflow lists.
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Audit
    description: Manage audit entries
  - name: Customers
    description: Manage customer accounts
  - name: Users
    description: Manage users provisioned in child customer accounts
  - name: Request
    description: Retrieve background request results
  - name: Reports
    description: Generate and manage reports
  - name: Results
    description: Manage process results including redaction
  - name: Workflow Definitions
    description: Create and update workflow definitions
  - name: Status
    description: All valid customers will get a successful response.
  - name: Workflows
    description: Manage Workflows and Workflow Definitions
  - name: Tags
    description: Query tags and tag mappings on objects
paths:
  /v2/report/extractPII:
    get:
      tags:
        - Reports
      summary: List Extract PII jobs
      description: >-
        Retrieve a list of Extract PII jobs for a customer with optional
        filtering by status and pagination support.
      operationId: listExtractPIIJobs
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-RequestID'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Username'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/query_job_statuses'
        - $ref: '#/components/parameters/sort'
        - $ref: '#/components/parameters/query_sort_fields-2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Extract-PII-Jobs-Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyc:api
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-RequestID:
      name: X-Frankie-RequestID
      in: header
      description: GUID identifier for request
      required: true
      schema:
        type: string
        example: 82988375-1F9C-40C7-8543-ECCA0D94CC7C
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
    page:
      in: query
      name: page
      example: 2
      schema:
        type: integer
      description: The page number that you want to retrieve for the list query
    limit:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        default: 20
      example: 20
      description: Limit the number of items that will be returned as part of the request
    query_job_statuses:
      in: query
      name: statuses
      required: false
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Job-Status'
      style: form
      explode: false
      description: >-
        Filter jobs by status. Multiple statuses can be provided to filter by
        any of them.
    sort:
      in: query
      name: sort
      schema:
        type: string
        enum:
          - asc
          - desc
      description: Order of the sort fields will be sorted upon
    query_sort_fields-2:
      name: sortFields
      in: query
      style: form
      explode: false
      schema:
        description: The fields that were used to sort the items in the response
        type: array
        items:
          description: The fields that were used to sort the items in the response
          type: string
          enum:
            - createdAt
      description: The fields that were used to sort the items in the response
  schemas:
    Extract-PII-Jobs-Response:
      type: object
      description: Response for listing Extract PII jobs
      required:
        - requestId
        - jobs
      properties:
        requestId:
          $ref: '#/components/schemas/Request-ID'
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/Report-ExtractPII-Job'
        meta:
          $ref: '#/components/schemas/List-Operation-Meta'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Job-Status:
      type: string
      description: Status of the job
      enum:
        - CREATED
        - IN_PROGRESS
        - COMPLETED
        - FAILED
        - CANCELLED
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Report-ExtractPII-Job:
      type: object
      description: >-
        Detailed information about an Extract PII job including metadata and
        results
      required:
        - jobId
        - status
      properties:
        jobId:
          $ref: '#/components/schemas/Job-ID'
        status:
          $ref: '#/components/schemas/Job-Status'
        operationType:
          $ref: '#/components/schemas/Operation-Type-Enum'
        operationName:
          $ref: '#/components/schemas/Operation-Name-Enum'
        createdAt:
          type: string
          format: date-time
          description: Job creation timestamp
        createdBy:
          type: string
          description: The user requested this report
        expiresAt:
          type: string
          format: date-time
          description: When results expires at
        scheduledAt:
          type: string
          format: date-time
          description: When job is scheduled to run
        attemptedAt:
          type: string
          format: date-time
          description: Last attempt timestamp
        finalizedAt:
          type: string
          format: date-time
          description: When job completed/failed
        attempt:
          type: integer
          description: Current attempt number
        maxAttempts:
          type: integer
          description: Maximum retry attempts
        queue:
          type: string
          description: Queue name
        filename:
          type: array
          items:
            type: string
            description: The name of the file
    List-Operation-Meta:
      type: object
      description: >-
        Meta information about the request and response returned during a list
        operation.
      properties:
        page:
          type: integer
          description: The current page number of the request.
        total:
          type: integer
          description: The total number of items found for the search criteria.
        limit:
          type: integer
          description: The limit applied to this response.
        count:
          type: integer
          description: The number of items returned in this response.
        sort:
          type: string
          enum:
            - asc
            - desc
          description: The sort order applied to the items in the response.
        sortFields:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - updatedAt
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Job-ID:
      type: string
      description: Unique identifier for a job
    Operation-Type-Enum:
      type: string
      description: Type of operation being performed
      enum:
        - REPORT
        - EXPORT
        - IMPORT
        - PROCESSING
    Operation-Name-Enum:
      type: string
      description: Specific name of the operation
      enum:
        - EXTRACT_PII
        - BULK_EXPORT
        - DATA_MIGRATION
        - BATCH_PROCESSING
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````